namespace UVC.UI.Commands
{
    public interface ICommand
    {
        void Execute(object parameter = null);
    }

    public interface ICommand<T> : ICommand
    {
        void Execute(T parameter);

        void Execute() => Execute(default(T)); // 기본 Execute 구현 제공 가능
    }
}
